Package tigase.stats

# Class ErrorsStatisticsProvider

java.lang.Object
tigase.stats.ErrorsStatisticsProvider

All Implemented Interfaces:
  `DynamicMBean`

public class ErrorsStatisticsProvider extends Object implements DynamicMBean

Author:
  andrzej

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ErrorsStatisticsProvider()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Map<String,String>`
  `getAllStats()`
  `Object`
  `getAttribute(String attribute)`
  `AttributeList`
  `getAttributes(String[] attributeNames)`
  `MBeanInfo`
  `getMBeanInfo()`
  `Object`
  `invoke(String actionName, Object[] params, String[] signature)`
  `void`
  `setAttribute(Attribute attribute)`
  `AttributeList`
  `setAttributes(AttributeList attributes)`
  `void`
  `update(StatisticsProvider sp)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ErrorsStatisticsProvider

    public ErrorsStatisticsProvider()

- ## Method Details

  - ### update

    public void update(StatisticsProvider sp)

  - ### getAttribute

    public Object getAttribute(String attribute) throws AttributeNotFoundException, MBeanException, ReflectionException
    Specified by:
      `getAttribute` in interface `DynamicMBean`
    Throws:
      `AttributeNotFoundException`
      `MBeanException`
      `ReflectionException`

  - ### setAttribute

    public void setAttribute(Attribute attribute) throws AttributeNotFoundException, InvalidAttributeValueException, MBeanException, ReflectionException
    Specified by:
      `setAttribute` in interface `DynamicMBean`
    Throws:
      `AttributeNotFoundException`
      `InvalidAttributeValueException`
      `MBeanException`
      `ReflectionException`

  - ### getAttributes

    public AttributeList getAttributes(String[] attributeNames)
    Specified by:
      `getAttributes` in interface `DynamicMBean`

  - ### setAttributes

    public AttributeList setAttributes(AttributeList attributes)
    Specified by:
      `setAttributes` in interface `DynamicMBean`

  - ### invoke

    public Object invoke(String actionName, Object[] params, String[] signature) throws MBeanException, ReflectionException
    Specified by:
      `invoke` in interface `DynamicMBean`
    Throws:
      `MBeanException`
      `ReflectionException`

  - ### getAllStats

    public Map<String,String> getAllStats() throws MBeanException, ReflectionException
    Throws:
      `MBeanException`
      `ReflectionException`

  - ### getMBeanInfo

    public MBeanInfo getMBeanInfo()
    Specified by:
      `getMBeanInfo` in interface `DynamicMBean`